'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _draftJsPluginsEditor = require('draft-js-plugins-editor');

var _draftJsPluginsEditor2 = _interopRequireDefault(_draftJsPluginsEditor);

var _draftJsLinkifyPlugin = require('draft-js-linkify-plugin');

var _draftJsLinkifyPlugin2 = _interopRequireDefault(_draftJsLinkifyPlugin);

var _draftJs = require('draft-js');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var linkifyPlugin = (0, _draftJsLinkifyPlugin2.default)({ target: "_blank" });
var plugins = [linkifyPlugin];

var StatelessEditor = function (_React$Component) {
  _inherits(StatelessEditor, _React$Component);

  function StatelessEditor(props) {
    _classCallCheck(this, StatelessEditor);

    var _this = _possibleConstructorReturn(this, (StatelessEditor.__proto__ || Object.getPrototypeOf(StatelessEditor)).call(this, props));

    _this.state = { editorState: _draftJs.EditorState.createEmpty() };

    _this.onChange = function (editorState) {
      _this.setState({ editorState: editorState });
      _this.props.onStateChange(editorState);
    };

    _this.getEditorState = function () {
      return _this.state.editorState;
    };
    _this.setEditorState = function (newState) {
      return _this.setState({ editorState: newState });
    };
    _this.focus = function () {
      return _this.refs.editor.focus();
    };
    _this.blur = function () {
      return _this.refs.editor.blur();
    };
    return _this;
  }

  _createClass(StatelessEditor, [{
    key: 'render',
    value: function render() {
      var editorState = this.state.editorState;

      return _react2.default.createElement(_draftJsPluginsEditor2.default, _extends({ editorState: editorState,
        onChange: this.onChange,
        plugins: plugins,
        ref: 'editor'
      }, this.props));
    }
  }]);

  return StatelessEditor;
}(_react2.default.Component);

exports.default = StatelessEditor;